> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-net-api/technical-specification/rinex-zip.md).

# Rinex Zip

## GET /prepareRinexZipDownload

> Provides an endpoint to download many RINEX files as a single zip archive. The filename parameter allows the caller to choose the filename that will be created. Deprecated. This can be removed in favour of the conversational API once portal is using it in all environments.<br>

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"servers":[{"url":"https://api.os.uk/positioning/osnet/v1"}],"paths":{"/prepareRinexZipDownload":{"get":{"operationId":"Prepare to download RINEX Data for a set of stations","description":"Provides an endpoint to download many RINEX files as a single zip archive. The filename parameter allows the caller to choose the filename that will be created. Deprecated. This can be removed in favour of the conversational API once portal is using it in all environments.\n","parameters":[{"name":"stationId","in":"query","required":true,"description":"List of OS Net station ids to query. Repeat the query parameter for each additional station.","schema":{"type":"array","items":{"type":"string"}}},{"name":"filename","in":"query","description":"Sets the file name for the zip file that is returned. If omitted the filename will be 'Rinex Data', and the output file will be 'Rinex Data.zip'.","schema":{"type":"string"}},{"$ref":"#/components/parameters/RequiredTemporalParameters"},{"$ref":"#/components/parameters/dataFrequency"}],"responses":{"200":{"description":"Returns JSON that points to the the file, as a zip archive","content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string"}}}}}},"404":{"description":"Returned when there are no RINEX files available for the given stations and times."}},"tags":["RinexZip"]}}},"components":{"parameters":{"RequiredTemporalParameters":{"in":"query","name":"RequiredTemporalParameters","description":"Parameters that provide a temporal window (from start to end) for a query. These parameters can be used to restrict the query to a specific time range. Please note that the start time should be within the last 45 days, and the end should be no more than 24 hours after the start.","required":true,"explode":true,"schema":{"$ref":"#/components/schemas/RequiredTemporalParameters"}},"dataFrequency":{"name":"dataFrequency","in":"query","description":"Parameter that selects the data frequency for a query. If the parameter is omitted then the query will proceed as if 30S data has been requested. Ephemeris files do not have a data frequency, and will be returned regardless of the dataFrequency parameter. Every organisation has access to 30S data. Access to 01S data is restricted to organisations on the Public Sector Plan.","required":false,"schema":{"type":"string"}}},"schemas":{"RequiredTemporalParameters":{"description":"Parameters that provide a temporal window (from start to end) for a query. Please note that the start time should be within the last 45 days, and the end should be no more than 24 hours after the start.","type":"object","properties":{"start":{"description":"Start date-time for the search window","type":"string","format":"date-time"},"end":{"description":"End date-time for the search window","type":"string","format":"date-time"}},"required":["start","end"]}}}}
```

## GET /startRinexZipDownload

> Provides an endpoint to start preparing a download of many RINEX files as a single zip archive. The filename parameter allows the caller to choose the filename that will be created.<br>

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"servers":[{"url":"https://api.os.uk/positioning/osnet/v1"}],"paths":{"/startRinexZipDownload":{"get":{"operationId":"startRinexZipDownload","description":"Provides an endpoint to start preparing a download of many RINEX files as a single zip archive. The filename parameter allows the caller to choose the filename that will be created.\n","parameters":[{"name":"stationId","in":"query","required":true,"description":"List of OS Net station ids to query. Repeat the query parameter for each additional station.","schema":{"type":"array","items":{"type":"string"}}},{"name":"filename","in":"query","description":"Sets the file name for the zip file that is returned. If omitted the filename will be 'Rinex Data', and the output file will be 'Rinex Data.zip'.","schema":{"type":"string"}},{"$ref":"#/components/parameters/RequiredTemporalParameters"},{"$ref":"#/components/parameters/dataFrequency"}],"responses":{"200":{"description":"Returns JSON that includes a token that can be used to poll for the requested data","content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string"}}}}}},"404":{"description":"Returned when there are no RINEX files available for the given stations and times."}},"tags":["RinexZip"]}}},"components":{"parameters":{"RequiredTemporalParameters":{"in":"query","name":"RequiredTemporalParameters","description":"Parameters that provide a temporal window (from start to end) for a query. These parameters can be used to restrict the query to a specific time range. Please note that the start time should be within the last 45 days, and the end should be no more than 24 hours after the start.","required":true,"explode":true,"schema":{"$ref":"#/components/schemas/RequiredTemporalParameters"}},"dataFrequency":{"name":"dataFrequency","in":"query","description":"Parameter that selects the data frequency for a query. If the parameter is omitted then the query will proceed as if 30S data has been requested. Ephemeris files do not have a data frequency, and will be returned regardless of the dataFrequency parameter. Every organisation has access to 30S data. Access to 01S data is restricted to organisations on the Public Sector Plan.","required":false,"schema":{"type":"string"}}},"schemas":{"RequiredTemporalParameters":{"description":"Parameters that provide a temporal window (from start to end) for a query. Please note that the start time should be within the last 45 days, and the end should be no more than 24 hours after the start.","type":"object","properties":{"start":{"description":"Start date-time for the search window","type":"string","format":"date-time"},"end":{"description":"End date-time for the search window","type":"string","format":"date-time"}},"required":["start","end"]}}}}
```

## GET /collectRinexZipDownload

> Provides an endpoint that can be polled with the token that was returned from the startRinexZipDownload endpoint.<br>

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"servers":[{"url":"https://api.os.uk/positioning/osnet/v1"}],"paths":{"/collectRinexZipDownload":{"get":{"operationId":"collectRinexZipDownload","description":"Provides an endpoint that can be polled with the token that was returned from the startRinexZipDownload endpoint.\n","parameters":[{"name":"token","in":"query","required":true,"description":"Token returned by the earlier call","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns JSON that points to the the file, as a zip archive. If the file is still being generated then the url will be omitted.\n","content":{"application/json":{"schema":{"type":"object","properties":{"percentageComplete":{"type":"number","format":"int32","minimum":0,"maximum":100},"url":{"type":"string"}}}}}}},"tags":["RinexZip"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-net-api/technical-specification/rinex-zip.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
